Package ghidra.app.plugin.processors.sleigh.symbol

# Class ContextSymbol

java.lang.Object
ghidra.app.plugin.processors.sleigh.symbol.Symbol
ghidra.app.plugin.processors.sleigh.symbol.TripleSymbol
ghidra.app.plugin.processors.sleigh.symbol.FamilySymbol
ghidra.app.plugin.processors.sleigh.symbol.ValueSymbol
ghidra.app.plugin.processors.sleigh.symbol.ContextSymbol

public class ContextSymbol extends ValueSymbol
A ValueSymbol that gets its semantic value from contiguous bits in a VarnodeSymbol. This serves as an embedding of a ContextOp into an actual Varnode and is probably only relevant at compile time

- ## Field Summary

  ### Fields inherited from class ghidra.app.plugin.processors.sleigh.symbol.ValueSymbol

  `patval`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContextSymbol()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `followsFlow()`
  `int`
  `getHigh()`
  Get ending bit of context value within its context register.
  `int`
  `getInternalHigh()`
  Get the ending bit of the context value within the "global" buffer, after the values have been packed.
  `int`
  `getInternalLow()`
  Get the starting bit of the context value within the "global" buffer, after the values have been packed.
  `int`
  `getLow()`
  Get starting bit of context value within its context register.
  `VarnodeSymbol`
  `getVarnode()`
  `void`
  `restoreXml(XmlPullParser parser, SleighLanguage sleigh)`

  ### Methods inherited from class ghidra.app.plugin.processors.sleigh.symbol.ValueSymbol

  `getFixedHandle, getPatternExpression, getPatternValue, print, printList`

  ### Methods inherited from class ghidra.app.plugin.processors.sleigh.symbol.TripleSymbol

  `resolve`

  ### Methods inherited from class ghidra.app.plugin.processors.sleigh.symbol.Symbol

  `getId, getName, getScopeId, restoreHeaderXml`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ContextSymbol

    public ContextSymbol()

- ## Method Details

  - ### getVarnode

    public VarnodeSymbol getVarnode()

  - ### getLow

    public int getLow()
    Get starting bit of context value within its context register.
    Returns:
      the starting bit

  - ### getHigh

    public int getHigh()
    Get ending bit of context value within its context register.
    Returns:
      the ending bit

  - ### getInternalLow

    public int getInternalLow()
    Get the starting bit of the context value within the "global" buffer, after the values have been packed.
    Returns:
      the starting bit

  - ### getInternalHigh

    public int getInternalHigh()
    Get the ending bit of the context value within the "global" buffer, after the values have been packed.
    Returns:
      the ending bit

  - ### followsFlow

    public boolean followsFlow()

  - ### restoreXml

    public void restoreXml(XmlPullParser parser, SleighLanguage sleigh)
    Overrides:
      `restoreXml` in class `ValueSymbol`